@echo off
mkdir content
xcopy /I /D /Y /S "..\x64\Release\*.dll" content
xcopy /I /D /Y /S "..\x64\Release\*.pdb" content
xcopy /I /D /Y /S "..\x64\Release\*.exe" content
robocopy ..\data\ content\data\ /MIR
for /f %%i in ('git rev-parse --abbrev-ref HEAD') do set BRANCH=%%i
for /f %%i in ('git log "--pretty=format:%%h" -n 1') do set HASH=%%i
for /f %%i in ('git rev-list --count HEAD') do set COUNT=%%i
for /f %%i in ('git describe --tags "--abbrev=0"') do set TAG=%%i
set VERSION=%TAG%.%COUNT% (%HASH%-%BRANCH%)
echo Building version %VERSION%
set /p ID=<steamid.txt
steamcmd.exe +login %ID% +run_app_build -desc "%VERSION%" "%~dp0scripts\app_build_954880.vdf" +quit
7z.exe a "PanoPainter-Steam-%VERSION%.zip" content\*
pause